<div class="row page-titles">
  <div class="col-md-5 align-self-center">
    <h3 class="text-themecolor">Usuarios</h3>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-body">
        <div class="row">
          <div class="col-md-6 col-sm-6">
            <h4 class="card-title">Listado de Usuarios</h4>
          </div>
          <div class="col-md-6 col-sm-6 text-right">
            <button class="btn btn-primary" routerLink='/admin/new-usuario'>
              <i class="fas fa-plus"></i>
              Nuevo Usuario
            </button>
          </div>
        </div>
        <div class="table-responsive">
          <table #datatable class="table dark-table table-striped ">
            <thead class="bg-dark text-light">
              <tr>
                <th>Nombre</th>
                <th>Email</th>
                <th>Rol</th>
                <th class="no-sort"></th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let usuario of usuarios">
                <td>{{usuario.name}} {{usuario.lastname}}</td>
                <td>{{usuario.email}}</td>
                <td>{{usuario.rol}}</td>
                <td>
                  <button class="btn btn-info mr-1" title="Editar">
                    <i class="fas fa-edit"></i>
                  </button>
                  <button class="btn btn-danger" title="Eliminar">
                    <i class="fas fa-trash"></i>
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>